Subject: Re: Re[4]: [Sigtran] TUP\IUP over M3UA.

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 26 Jun 2007 04:32:06 -0600

Guy,

It just seems rather technically perverse to me.  Kinda like defining a new
SIP-T that embeds TUP/IUP messages in the payload instead of ISUP.  Actually,
that's funny considering BT's aborted foray into replacing those with SIP a
while back.  The way I heard it, BT was rumoured to be requiring PNOC ISUPv2 on
new interconnects, and "preferring" an upgrade on existing IUP, where
"preferring" means you don't get any more circuit until you upgrade.

Anyone using it entirely  within their own network are, I'm sure, fully able
to specify how they want it to work themselves, and have the right to pay
an exorbitant amount of money to vendors for being so standards challenged.

Anyhoo, its good we specified the User Protocol Data field so carefully (and
it is no coincidence as we all knew that TUP overlaps the 4 bits).

I expect the next question will be something like: Does M3UA support DUP2?

Answer: Well, yes it does, just put the stuff after the RL in the User
Protocol Data field.  s/DUP2/your_favorite_oddball_user_part/ ;)

--brian

Redmill, Guy wrote:                             (Tue, 26 Jun 2007 05:18:27)
> 
>    To  be  fair, there's a lot of kit out there that only supports IUP. I
>    can well imagine that someone might wish to use Sigtran on the IP side
>    and  be  forced  to use IUP on the PSTN side, although this will be an
>    infrequent  occurance. BT still offers IUP icon, so far as I am aware,
>    even  if UK ISUP is preferred. Remember that other operators may still
>    use  IUP  within  their  networks,  for  example  for  transit and for
>    connectivity  to  messaging apps (e.g. to support NEEDS signalling for
>    MWI).
>    Guy Redmill.
>    Sent by GoodLink (www.good.com)
>     -----Original Message-----
>    From:   Igor Fedotov [[1]mailto:[email-masked]]
>    Sent:   Tuesday, June 26, 2007 05:05 AM Eastern Standard Time
>    To:     Brian F. G. Bidulock
>    Cc:     [email-masked]
>    Subject:        Re[4]: [Sigtran] TUP\IUP over M3UA.
>    Brian,
>    BFGB>  I understood that BT now requires ISUPv2 (with BT variations of
>    course).
>    BFGB>  Regardless  of whether IUP was used at one time in the UK, what
>    makes you
>    BFGB> think that someone will run it over M3UA?
>    Our UK customer asked whether we support IUP over M3UA.
>    But it seems that they are uncertain about this thing.
>    Thank you very much for your comment.
>    --
>    Best regards,
>     Igor                            [2]mailto:[email-masked]
>    _______________________________________________
>    Sigtran mailing list
>    [email-masked]
>    [3]https://www1.ietf.org/mailman/listinfo/sigtran
> 
> References
> 
>    1. mailto:[email-masked]
>    2. mailto:[email-masked]
>    3. https://www1.ietf.org/mailman/listinfo/sigtran

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran